// Program demo pentru Laboratorul de Metode Numerice
// Lucrarea 2 
// Referinta
// G.Ciuprina, M.Rebican, D.Ioan - Indrumar de metode numerice, Editura Printech
// 2013, detalii la mn.lmn.pub.ro
// last update 11 oct 2013, by G.C., scilab 5.4.1
// last update 11 oct 2013, by G.C., scilab 5.4.1
clear all;
funcprot(0);
exec("functii/trunchiereL02.sci");
exec("functii/taylorln.sci");
exec("functii/taylorexp.sci");
exec("functii/taylorsin.sci");
exec("functii/fouriercrenel.sci");
exec("functii/armonicaalternanta.sci");
exec("functii/armonicaalternantabest.sci");
exec("functii/alte_functii.sci");
exec("functii/x_message.sci");
[nof,tabF,tabX] = CitireDateEroriTrunch();
if nof == 0
   	// ?????
else
        er = [];
        it = [];
	tipaxe = 'll'; // scara dublu logaritmica 
	NOTERM = 101;  // nr termeni de sumat
	tit = '';
	for j = 1:nof
		select tabF(j)
		case 1  //exp
			[iter,eroare,termen,suma,mystring] = taylorexp(tabX(j),NOTERM);
		case 2  //sin
			[iter,eroare,termen,suma,mystring] = taylorsin(tabX(j),NOTERM);
		case 3  //ln
			[iter,eroare,termen,suma,mystring] = taylorln(tabX(j),NOTERM);
		case 4  // crenel
			[iter,eroare,termen,suma,mystring] = fouriercrenel(tabX(j),NOTERM);
		case 5  // armonica alternanta
			[iter,eroare,termen,suma,mystring] = armonicaalternanta(tabX(j),NOTERM);
		case 6  // armonica alternanta cu convergenta imbunatatita
			[iter,eroare,termen,suma,mystring] = armonicaalternantabest(tabX(j),NOTERM);
		end
		if max(eroare) > 0
			if min(eroare) == 0
				tipaxe = 'nn';
			end
			er = [er eroare];
		else
			x_message('Eroare zero - punctul de evaluare coincide cu cel de dezvoltare.');
			eroare = ones(eroare)*1e-20;
			er = [er eroare];
                end
                it = [it iter];
        	style(j) = j + 1;
        	strf = "181";
		if j == 1
			tit = mystring;
		else
			
			tit = tit + '@' + mystring;
		end
	end
	//xclear();
        //delmenu(0,'File');
        //delmenu(0,'3D Rot.');
        //actions = ['xdel(0);'];
        //addmenu(0,'Exit');
        //Exit_0 = [actions(1)];
        //xsetech([0,0,1,0.9]);
        plot2d(tipaxe,it,er,style,strf,leg=tit);
        
        
	xgrid();
	//wait2close();
end



