function [iter,eroare,termen,suma,mystring] = taylorsin(x,NOTERM)


iter = zeros(NOTERM,1);
eroare = zeros(NOTERM,1);
termen = zeros(NOTERM,1);
suma = zeros(NOTERM,1);
mystring = strcat(['Taylor pentru sin(',string(x),')  cu ','x0 = 0']);
y = sin(x);

k = 1;
suma(k) = x;
termen(k) = x;
eroare(k) = abs(y - suma(k));
disp(mystring)
printf("\n k \t --- exact ----  suma-partiala --- eroare --- termen-curent -- ");
printf("\n %d\t%10g\t%10g\t%10g\t%10g",k,y,suma(k),eroare(k),termen(k));
iter(k) = k;

for k = 2:NOTERM
     iter(k) = k;
     termen(k) = -termen(k-1)*x*x/(2*k-1)/(2*k-2);
     suma(k) = suma(k-1) + termen(k);
     eroare(k) = abs(y - suma(k));
     if ( 0<k & k<=10) | (modulo(k,10) == 0 )
     printf("\n %d\t%10g\t%10g\t%10g\t%10g",k,y,suma(k),eroare(k),termen(k));
     end
end
endfunction
